For security reasons, you will be logged out in 4 minutes
Cannot be added!
Your basket contains a blocked quote and must be finalised before you can order other items.
Add to basket...
Item added to basket
Expressorder
0
Products
Knowledge
Catalogs
Services & support
Info & Contact
cart.update_popup.adding
×
Authentication
Categories
Products
Products
Knowledge
Catalogs
Services & support
Info & Contact
Consumables and small equipment
Equipment
Measuring instrument
Laboratory furniture
Health and safety
Pipetting
Bioreactive
Chemistry
Search by category
Search by brand
Our new products
Essentials products, at the very best price
ClearLine® products and group brands
Cleanroom products
Internal error
View full page
All filters :
Cancel
Clear filters
Filter
All our products:
Consumables and small equipment
Your search for
resulted in 44 item(s)
Arvensis
Learn more...
Filter
44 items
Available in stock: {0}
Supply in progress
Delivery time on request
BF-1022
·
Arvensis PCR plate B-frame rigid biocomposite frame 96 wells semi-skirted, low profile, Roche style - colour: white
Sales Unit: 50
Arvensis
Available in stock
1
2
3
4
5
BF-1041
·
Arvensis PCR plate B-frame rigid biocomposite frame 96 wells semi-skirted, standard profile, universal style - colour: natural
Sales Unit: 50
Arvensis
Available in stock
1
2
3
4
5
BF-1032
·
Arvensis PCR plate B-frame rigid biocomposite frame 96 wells semi-skirted, standard profile, universal style - colour: white
Sales Unit: 50
Arvensis
Available in stock
1
2
3
4
5
BF-1001
·
Arvensis PCR plate B-frame rigid biocomposite frame 96 wells skirted, low profile - colour: natural
Sales Unit: 50
Arvensis
Available in stock
1
2
3
4
5
BF-1042
·
Arvensis PCR plate B-frame rigid biocomposite frame 96 wells semi-skirted, standard profile, ABI style - colour: white
Sales Unit: 50
Arvensis
Available in stock
1
2
3
4
5
BF-1002
·
Arvensis PCR plate B-frame rigid biocomposite frame 96 wells skirted, low profile - colour: white
Sales Unit: 50
Arvensis
Available in stock
1
2
3
4
5
BF-1031
·
Arvensis PCR plate B-frame rigid biocomposite frame 96 wells semi-skirted, standard profile, universal style - colour: natural
Sales Unit: 50
Arvensis
Available in stock
1
2
3
4
5
AFK-5001
·
A-FRAME LOW BIND BLACK FRAME 96-WELL STORAGE PLATE NATURAL WELLS X50
Sales Unit: 50
Arvensis
Available in stock
1
2
3
4
5
AMS-1003
·
OPTICAL QUALITY TRANSPARENT ADHESIVE FILM FOR QPCR ARVENSIS X100
Sales Unit: 100
Arvensis
Available in stock
1
2
3
4
5
HMS-1002
·
PEELABLE AND PIERCABLE ALUMINIUM SEALABLE FILM FOR PCR ARVENSIS X100
Sales Unit: 100
Arvensis
Available in stock
1
2
3
4
5
AFK-2002
·
PCR 384 WELL PLATE A-FRAME BLACK WHITE WELLS X10 X5
Sales Unit: 50
Arvensis
Available in stock
1
2
3
4
5
AFC-1031
·
PLAQUE PCR 96-ROUND BOTTOM A-FRAME S-HEM 0.3 ml UNIV. FRAME-WELL NAT. x50
Sales Unit: 50
Arvensis
Available in stock
1
2
3
4
5
AFK-1001
·
PCR PLATE 96-WELL A-FRAME SKIRTED LP 0.2 ml BLACK FRAME NATURAL WELLS x50
Sales Unit: 50
Arvensis
Available in stock
1
2
3
4
5
AMS-1002
·
ALUMINIUM ADHESIVE FILM FOR PCR ARVENSIS X100
Sales Unit: 100
Arvensis
Available in stock
1
2
3
4
5
AFC-1021
·
PCR PLATE 96-WELL A-FRAME S-HEM 0.2 ml ST. ROCHE FRAME-WELL NAT. x50
Sales Unit: 50
Arvensis
Delivery time on request
1
2
3
4
5
AFW-2022
·
PCR 384 WELL A-FRAME WHITE PLATE WHITE WELLS X10 X5
Sales Unit: 50
Arvensis
Delivery time on request
1
2
3
4
5
AFK-1003
·
96-WELL 0.2 ML A-FRAME JACKETED PCR PLATE, BLACK FRAME WHITE WELLS H-SENS x50
Sales Unit: 50
Arvensis
Delivery time on request
1
2
3
4
5
RFC-1032
·
PCR PLATE 96 WELLS SEMI-SKIRT WHITE R-FRAME UNIVERSAL TYPE LOW PROFILE x10x5
Sales Unit: 50
Arvensis
Delivery time on request
1
2
3
4
5
AFC-1042
·
PCR PLATE NATURAL 96-WELL WHITE A-FRAME SKEWED SKIRT 0.3 ml STRIPED ABI x50
Sales Unit: 50
Arvensis
Delivery time on request
1
2
3
4
5
HMS-1003
·
ARVENSIS PEELABLE TRANSPARENT SEALABLE FILM X100
Sales Unit: 100
Arvensis
Delivery time on request
1
2
3
4
5
RFC-1031
·
96-WELL PCR PLATE SEMI-SKIRTED CLEAR R-FRAME UNIVERSAL LOW PROFILE x10x5
Sales Unit: 50
Arvensis
Delivery time on request
1
2
3
4
5
HMS-1001
·
THIN, PIERCEABLE ALUMINIUM SEALABLE FILM FOR PCR ARVENSIS X100
Sales Unit: 100
Arvensis
Delivery time on request
1
2
3
4
5
RMS-1001
·
ALUMINIUM SEALING LID FOR PCR TUBE, 96-WELL PLATE SHEET FORMAT x100x10
Sales Unit: 1,000
Arvensis
Delivery time on request
1
2
3
4
5
AFC-1033
·
PCR PLATE NAT. 96-WELL WHITE H-SENS A-FRAME S- skirted SP 0.3 ml UNIVERSAL x50
Sales Unit: 50
Arvensis
Delivery time on request
1
2
3
4
5
AFW-1002
·
96-WELL PCR PLATE A-FRAME SKIRTED LP 0.2 ml WHITE FRAME AND WELLS x50
Sales Unit: 50
Arvensis
Delivery time on request
1
2
3
4
5
AFW-1023
·
PCR PLATE WHITE 96-WELL WHITE H-SENSE A-FRAME S-SKIRTED LP 0.2 ml ST. ROCHE x50
Sales Unit: 50
Arvensis
Delivery time on request
1
2
3
4
5
AFK-2001
·
PCR 384 WELL PLATE A-FRAME BLACK NATURAL WELLS X10 X5
Sales Unit: 50
Arvensis
Delivery time on request
1
2
3
4
5
RFC-1042
·
96-WELL PCR PLATE SEMI-SKIRTED WHITE R-FRAME ABI TYPE LOW PROFILE x10x5
Sales Unit: 50
Arvensis
Delivery time on request
1
2
3
4
5
RFC-1041
·
96-WELL PCR PLATE SEMI-SKIRTED CLEAR R-FRAME TYPE ABI LOW PROFILE x10x5
Sales Unit: 50
Arvensis
Delivery time on request
1
2
3
4
5
RFC-1022
·
96-WELL PCR PLATE SEMI-SKIRTED WHITE R-FRAME ROCHE TYPE LOW PROFILE x10x5
Sales Unit: 50
Arvensis
Delivery time on request
1
2
3
4
5
Show more